org.apache.cayenne.map.event

## Class RelationshipEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.cayenne.event.CayenneEvent
    - - org.apache.cayenne.map.event.MapEvent
      - - org.apache.cayenne.map.event.EntityEvent
        - - org.apache.cayenne.map.event.RelationshipEvent

- All Implemented Interfaces:
    Serializable

      public class RelationshipEvent
      extends EntityEvent

  Represents events resulted from Relationship changes in CayenneModeler. This event is used for both ObjRelationships and DbRelationships.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Relationship` | `relationship`

    - ### Fields inherited from class org.apache.cayenne.map.event.EntityEvent

      `entity`

    - ### Fields inherited from class org.apache.cayenne.map.event.MapEvent

      `ADD, CHANGE, domain, id, oldName, oldNameSet, REMOVE`

    - ### Fields inherited from class org.apache.cayenne.event.CayenneEvent

      `info, postedBy, subject`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelationshipEvent(Object src, Relationship rel, Entity entity)` Creates a Relationship change event.
    `RelationshipEvent(Object src, Relationship rel, Entity entity, int id)` Creates a Relationship event of a specified type.
    `RelationshipEvent(Object src, Relationship rel, Entity entity, String oldName)` Creates a Relationship name change event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNewName()` Returns the newName of the object that caused this event.
    `Relationship` | `getRelationship()` Returns relationship associated with this event.
    `void` | `setRelationship(Relationship relationship)` Sets relationship associated with this event.

    - ### Methods inherited from class org.apache.cayenne.map.event.EntityEvent

      `getEntity, setEntity`

    - ### Methods inherited from class org.apache.cayenne.map.event.MapEvent

      `getDomain, getId, getOldName, isNameChange, setDomain, setId, setOldName`

    - ### Methods inherited from class org.apache.cayenne.event.CayenneEvent

      `getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### relationship

          protected Relationship relationship

  - ### Constructor Detail

    - #### RelationshipEvent

          public RelationshipEvent(Object src,
                                   Relationship rel,
                                   Entity entity)

      Creates a Relationship change event.

    - #### RelationshipEvent

          public RelationshipEvent(Object src,
                                   Relationship rel,
                                   Entity entity,
                                   int id)

      Creates a Relationship event of a specified type.

    - #### RelationshipEvent

          public RelationshipEvent(Object src,
                                   Relationship rel,
                                   Entity entity,
                                   String oldName)

      Creates a Relationship name change event.

  - ### Method Detail

    - #### getRelationship

          public Relationship getRelationship()

      Returns relationship associated with this event.

    - #### setRelationship

          public void setRelationship(Relationship relationship)

      Sets relationship associated with this event.
      Parameters:
        `relationship` - The relationship to set

    - #### getNewName

          public String getNewName()

      Description copied from class: `MapEvent`
      Returns the newName of the object that caused this event.
      Overrides:
        `getNewName` in class `EntityEvent`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.